Magazine Button
Some hospital imaging devices vulnerable to hackers

Some hospital imaging devices vulnerable to hackers

HealthcareLatest ThreatsTop Stories
Some hospital imaging devices vulnerable to hackers

It has been reported that a huge proportion of internet-connected imaging devices at hospitals run outdated operating systems.

Researchers found that 83% of these devices run on outdated software that can’t be updated even when it contains known vulnerabilities that hackers can exploit. The number increased significantly from 2018, which coincides with Microsoft ending support for Windows 7 earlier this year.

A significant number of machines run even older operating systems, including Windows XP, which Microsoft stopped supporting in 2014. The imaging devices include machines that take X-rays, MRIs, mammograms and CAT scans.

Click below to share this article

Browse our latest issue

Magazine Cover

View Magazine Archive